package com.gct.centralbase.controller;

import com.gct.centralbase.entity.CbPcOrganization;
import com.gct.centralbase.service.CbPcOrganizationService;
import com.gct.centralbase.mapper.CbPcOrganizationMapper;
import com.gct.common.core.result.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 组织机构 前端控制器
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@Api(value = "CbPcOrganizationController",description = "基础数据前端-组织架构导航")
@RestController
@RequestMapping("/org")
public class CbPcOrganizationController {

    @Autowired
    private CbPcOrganizationService cbPcOrganizationService;

    @ApiOperation(value = "getOrganization(获取组织架构数据)", notes = "获取组织架构数据")
    @GetMapping("/org")
    public Result getOrganization(@RequestParam(required = false) String parent_id){
        return  cbPcOrganizationService.getOrganization(parent_id);
    }

    @ApiOperation(value = "树形结构", notes = "树形结构查询")
    @GetMapping("/tree")
    public Result findTree() {
        return cbPcOrganizationService.findTree();
    }

    @ApiOperation(value = "获取orgId", notes = "从组织机构中获取orgId")
    @GetMapping("/getOrgId/{orgId}")
    public Result getOrgId(@PathVariable("orgId") String orgId) {
        List<CbPcOrganization> data =  cbPcOrganizationService.getOrgId(orgId);
        return Result.ok(data);
    }

    @RequestMapping("/getAllOrgs")
    public Result getAllOrganizations(){
        return Result.ok(cbPcOrganizationService.list());
    }

    @RequestMapping("/getOrgById/{id}")
    public Result getOrgById(@PathVariable("id") String id){
        return Result.ok(cbPcOrganizationService.getOrgById(id));
    }




}

