package com.gct.centralbase.controller;


import com.gct.centralbase.entity.CbPcProWellboreStatusDaily;
import com.gct.centralbase.entity.CbPcProWellboreVolDaily;
import com.gct.centralbase.service.CbPcProWellboreVolDailyService;
import com.gct.common.core.result.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 采出井井筒生产日数据 前端控制器
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@RestController
@RequestMapping("/cbPcProWellboreVolDaily")
@Api(value = "CbPcProWellboreVolDailyController" ,description = "采出井井筒生产日数据")
public class CbPcProWellboreVolDailyController {
    @Autowired
    CbPcProWellboreVolDailyService cbPcProWellboreVolDailyService;

    @ApiOperation(value = "getA2DataForCalVolDaily",notes = "根据井号和时间获取采出井井筒生产日基础数据")
    @RequestMapping(value = "/getA2DataForCalVolDaily/{WellName}/{dateTime}",method = RequestMethod.GET)
    public Result getA2DataForCalVolDaily(@PathVariable("WellName") String wellName, @PathVariable("dateTime") String dateTime){
        CbPcProWellboreVolDaily data =cbPcProWellboreVolDailyService.getA2DataForCalVolDaily(wellName,dateTime);
        return Result.ok(data);
    }
    @RequestMapping(value = "/wellBoreVolDaily/{wellId}/{prodDate}", method = RequestMethod.GET)
    Result getWellBoreVolDaily(@PathVariable(value = "wellId") String wellId, @PathVariable(value = "prodDate") String prodDate) {
        return cbPcProWellboreVolDailyService.getWellBoreVolDaily(wellId,prodDate);
    }

    @RequestMapping(value = "/getCbPcProWellBoreVolDaily/{prodDate}/{curPage}/{pageSize}")
    Result getCbPcProWellBoreVolDaily(@PathVariable("prodDate")String prodDate,@PathVariable("curPage")
            Integer curPage,@PathVariable("pageSize") Integer pageSize){
        return cbPcProWellboreVolDailyService.getCbPcProWellBoreVolDaily(prodDate,curPage,pageSize);
    }

}

