package com.gct.centralbase.controller;


import com.gct.centralbase.service.CbCdWellSourceService;
import com.gct.centralbase.service.CbPcWellSeriesInfoService;
import com.gct.common.core.result.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 单井基础信息 前端控制器
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@Api(value = "CbPcOrganizationController", description = "基础数据前端-单井基础信息导航")
@RestController
@RequestMapping("/WellSource")
public class CentralBaseSourceController {

    @Autowired
    private CbCdWellSourceService cbCdWellSourceService;


    @ApiOperation(value = "getWellSource(获取单井数据)", notes = "获取单井数据")
    @GetMapping("/WellSource")
    public Result getOrganization(String orgid) {
        return cbCdWellSourceService.getWellSource(orgid);
    }

    @ApiOperation(value = "getJh(根据组织架构Id获取井号数据)", notes = "根据组织架构Id获取井号数据")
    @GetMapping("/jh")
    public Result getJh(@ApiParam(name = "orgid", value = "组织架构Id") @RequestParam(value = "orgid", required = false) String orgid) {
        return cbCdWellSourceService.getjh(orgid);
    }

    @ApiOperation(value = "search wells by orgid ,but only show 10 items", notes = "查询井号")
    @GetMapping("/searchWellsByOrgID")
    public Result searchWellsByOrgID(
            @ApiParam(name = "searchText", value = "查询的部分井号内容") @RequestParam(value = "searchText", required = false) String searchText,
            @ApiParam(name = "orgid", value = "组织架构Id") @RequestParam(value = "orgid", required = false) String orgid
    ) {
        return cbCdWellSourceService.searchWellsByOrgID(searchText, orgid);
    }
    @ApiOperation(value = "search wells by orgid ,but only show 10 items,the new func", notes = "查询井号")
    @GetMapping("/searchWellsByOrgID2")
    public Result searchWellsByOrgID2(
            @ApiParam(name = "searchText", value = "查询的部分井号内容") @RequestParam(value = "searchText", required = false) String searchText,
            @ApiParam(name = "orgid", value = "组织架构Id") @RequestParam(value = "orgid", required = false) String orgid
    ) {
        return cbCdWellSourceService.searchWellsByOrgID2(searchText, orgid);
    }
    @ApiOperation(value = "查询对应井id的具体信息", notes = "查询井信息")
    @GetMapping("/getWellSource")
    public Result getWellSource(@ApiParam(value = "井号")@RequestParam String wellId){
        return cbCdWellSourceService.getByWellId(wellId);
    }

}

