package com.gct.centralbase.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 完井层位
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CbCdCompletionT对象", description="完井层位")
@TableName("centralbase.cb_cd_completion_t")
public class CbCdCompletionT extends Model<CbCdCompletionT> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "生产层段名称")
    private String completionName;

    @ApiModelProperty(value = "完井层位ID")
    private String completionId;

    @ApiModelProperty(value = "生产层段描述;完井描述（可以描述主要层T、次要层t）")
    private String completionDescription;

    @ApiModelProperty(value = "生产区块代码名称")
    private String producingAreaCode;

    @ApiModelProperty(value = "中心点垂深")
    private Double mpp;

    @ApiModelProperty(value = "顶部垂深")
    private Double topTvd;

    @ApiModelProperty(value = "底部垂深 m")
    private Double bottomTvd;

    @ApiModelProperty(value = "原始地层温度 ℃")
    private Double pUndisturbedTemp;

    @ApiModelProperty(value = "原始饱和压力 Mpa")
    private Double pUndisturbedSaPress;

    @ApiModelProperty(value = "原始地层压力 Mpa")
    private Double pUndisturbedPorePress;

    @ApiModelProperty(value = "最后更新日期")
    private LocalDateTime updateDate;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
