package com.gct.centralbase.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 组合单元关联关系
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CbPcGroupUnitSource对象", description="组合单元关联关系")
@TableName("centralbase.cb_pc_group_unit_source")
public class CbPcGroupUnitSource extends Model<CbPcGroupUnitSource> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "组合单元ID")
    private String groupUnitId;

    @ApiModelProperty(value = "组合单元名称")
    private String groupUnitName;

    @ApiModelProperty(value = "组合单元代码")
    private String groupUnitCode;

    @ApiModelProperty(value = "组织机构ID")
    private String orgId;

    @ApiModelProperty(value = "组合单元父ID")
    private String parentGroupUnitId;

    @ApiModelProperty(value = "组合单元单位级别:组合单元单位级别;1：采油厂级、2：油田公司级、3：股份公司级")
    private Integer grpUnitLevel;

    @ApiModelProperty(value = "创建日期")
    private LocalDateTime createDate;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
