package com.gct.centralbase.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 注入井注入量日数据
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CbPcInjWellVolDaily对象", description="注入井注入量日数据")
@TableName("centralbase.cb_pc_inj_well_vol_daily")
public class CbPcInjWellVolDaily extends Model<CbPcInjWellVolDaily> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "井ID")
    private String wellId;

    @ApiModelProperty(value = "日期")
    private LocalDateTime injDate;

    @ApiModelProperty(value = "生产时间 h")
    private Double prodTime;

    @ApiModelProperty(value = "日注入量 m^3")
    private Double injVolDaily;

    @ApiModelProperty(value = "日注气量 m^3")
    private Double gasInjVolDaily;

    @ApiModelProperty(value = "日注母液量 m^3")
    private Double chemVol;

    @ApiModelProperty(value = "井底溢流量 m^3")
    private Double overflowVol;

    @ApiModelProperty(value = "干线溢流量 m^3")
    private Double mainLineErflowVol;

    @ApiModelProperty(value = "分水标志0：不分水；1：分水")
    private Integer sepInjTag;

    @ApiModelProperty(value = "污水罐存量 m^3")
    private Double sewageTankVol;

    @ApiModelProperty(value = "含醇量 %")
    private Double alcoholPercentage;

    @ApiModelProperty(value = "日注表活剂量 kg")
    private Double injSurfactantDaily;

    @ApiModelProperty(value = "日注碱量 kg")
    private Double injAlkaliDaily;

    @ApiModelProperty(value = "日配注水量 m^3")
    private Double allocInjWaterDaily;

    @ApiModelProperty(value = "日配注母液量 m^3")
    private Double allocInjChemDaily;

    @ApiModelProperty(value = "示踪剂量 kg")
    private Double trackingVol;

    @ApiModelProperty(value = "日配注入量 m^3")
    private Double allocInjVolDaily;

    @ApiModelProperty(value = "注入液浓度 mg/L")
    private Double chemConcWh;

    @ApiModelProperty(value = "注入液粘度MPa.s")
    private Double chemViscosityWh;

    @ApiModelProperty(value = "注入液表面张力mN/m")
    private Double chemInterTensionWh;

    @ApiModelProperty(value = "分子量10^4mol")
    private Double chemMolWt;

    @ApiModelProperty(value = "母液表面张力mN/m")
    private Double chemInterTension;

    @ApiModelProperty(value = "母液浓度Kg/m^3")
    private Double chemConc;

    @ApiModelProperty(value = "母液粘度MPa.s")
    private Double chemVisc;

    @ApiModelProperty(value = "配注汽量 t")
    private Double cycleAllocInjVol;

    @ApiModelProperty(value = "注汽结束后的每日焖井时间 h")
    private Double stewTime;

    @ApiModelProperty(value = "注汽轮次 次 ")
    private Double steamInjTurn;

    @ApiModelProperty(value = "备注")
    private String remarks;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
