package com.gct.centralbase.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 组织机构
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CbPcOrganization对象", description="组织机构")
@TableName("centralbase.cb_pc_organization")
public class CbPcOrganization extends Model<CbPcOrganization> {

    private static final long serialVersionUID=1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "机构ID;组织机构唯一标识符")
    private String orgId;

    @ApiModelProperty(value = "机构名称")
    private String orgName;

    @ApiModelProperty(value = "代码;机构代码")
    private String orgCode;

    @ApiModelProperty(value = "级别")
    private Integer orgLevel;

    @ApiModelProperty(value = "父ID;上级组织机构ID")
    private String parentId;


    @ApiModelProperty(value = "子部门")
    @TableField(exist = false) //非数据库映射字段
    private List<CbPcOrganization> children;

    @ApiModelProperty(value = "原来的orgid")
    private String orgIdPre;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
