package com.gct.centralbase.service;

import com.gct.centralbase.entity.CbPcProWellboreVolDaily;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.common.core.result.Result;

/**
 * <p>
 * 采出井井筒生产日数据 服务类
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
public interface CbPcProWellboreVolDailyService extends IService<CbPcProWellboreVolDaily> {

    /**
     * 获取产量曲线方法
     * @param wellId
     * @param beginDate
     * @param endDate
     * @return
     */
    Result getYieldCurve(String wellId, String beginDate, String endDate);


    /**
     * 获取历史措施方法
     * @param wellId
     * @param beginDate
     * @param endDate
     * @return
     */
    Result getHistoryMeasures(Integer pageNum, Integer pageSize,String wellId, String beginDate, String endDate);

    Result getWellBoreVolDaily(String wellId,String prodDate);


    CbPcProWellboreVolDaily getA2DataForCalVolDaily(String wellName, String dateTime);


    Result getCbPcProWellBoreVolDaily(String prodDate,Integer curPage,Integer pageSize);
}
