package com.gct.centralbase.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gct.centralbase.entity.CbPcGroupUnitSource;
import com.gct.centralbase.entity.CbPcOrganization;
import com.gct.centralbase.mapper.CbPcGroupUnitSourceMapper;
import com.gct.centralbase.mapper.CbPcOrganizationMapper;
import com.gct.centralbase.service.CbPcGroupUnitSourceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gct.common.core.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 组合单元关联关系 服务实现类
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@Service
public class CbPcGroupUnitSourceServiceImpl extends ServiceImpl<CbPcGroupUnitSourceMapper, CbPcGroupUnitSource> implements CbPcGroupUnitSourceService {

    @Autowired
    private com.gct.centralbase.mapper.CbPcGroupUnitSourceMapper CbPcGroupUnitSourceMapper;

    @Override
    public Result getGroupUnitSource(String parentId) {
        QueryWrapper<CbPcGroupUnitSource> queryWrapper = new QueryWrapper<>();
        QueryWrapper<CbPcGroupUnitSource> wrapper = queryWrapper.select(
                "group_unit_id",
                "group_unit_name").eq("parent_group_unit_id",parentId);
        List<Map<String, Object>> maps = CbPcGroupUnitSourceMapper.selectMaps(wrapper);
        return Result.ok(maps);
    }

}
