package com.gct.centralbase.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gct.centralbase.entity.CbPcOrganization;
import com.gct.centralbase.entity.CbPcWellSeriesInfo;
import com.gct.centralbase.mapper.CbPcOrganizationMapper;
import com.gct.centralbase.mapper.CbPcWellSeriesInfoMapper;
import com.gct.centralbase.service.CbPcWellSeriesInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gct.common.core.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 井组信息表 服务实现类
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@Service
public class CbPcWellSeriesInfoServiceImpl extends ServiceImpl<CbPcWellSeriesInfoMapper, CbPcWellSeriesInfo> implements CbPcWellSeriesInfoService {

    @Autowired
    private com.gct.centralbase.mapper.CbPcWellSeriesInfoMapper cbPcWellSeriesInfoMapper;

    @Override
    public Result getWellSeriesInfo() {
        QueryWrapper<CbPcWellSeriesInfo> queryWrapper = new QueryWrapper<>();
        QueryWrapper<CbPcWellSeriesInfo> wrapper = queryWrapper.select(
                "well_series_id",
                "well_series_name",
                "sequence_no");
        List<Map<String, Object>> maps = cbPcWellSeriesInfoMapper.selectMaps(wrapper);
        return Result.ok(maps);
    }



}
